package com.xunwang.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xunwang.education.entity.Complaint;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;

/**
 * @Author: Yl
 * @Date: 2023/1/3 10:59
 */
public interface ComplaintService extends IService<Complaint> {

    HashMap<String,Object> findAllComplaint(HttpServletRequest request);

    boolean handleComplaint(Complaint complaint,HttpServletRequest request);

    boolean handlingComplaint(Complaint complaint, HttpServletRequest request);

    List<Complaint> findPersonComplaint(HttpServletRequest request);
}
